import { AfterViewInit, ElementRef, OnChanges, OnDestroy, Renderer2, SimpleChanges } from '@angular/core';
export interface IActiveHighlightInfo {
    rowIndex: number;
    columnIndex: number;
    page: number;
    index: number;
}
export declare class IgxTextHighlightDirective implements AfterViewInit, OnDestroy, OnChanges {
    renderer: Renderer2;
    private static onActiveElementChanged;
    static highlightGroupsMap: Map<string, IActiveHighlightInfo>;
    private _lastSearchInfo;
    private _div;
    private _observer;
    private _nodeWasRemoved;
    private _forceEvaluation;
    private _activeElementIndex;
    cssClass: string;
    activeCssClass: string;
    containerClass: string;
    groupName: string;
    private _value;
    value: any;
    row: number;
    column: number;
    page: number;
    parentElement: any;
    private _container;
    static setActiveHighlight(groupName: string, highlight: IActiveHighlightInfo): void;
    static clearActiveHighlight(groupName: any): void;
    constructor(element: ElementRef, renderer: Renderer2);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    highlight(text: string, caseSensitive?: boolean): number;
    clearHighlight(): void;
    activateIfNecessary(): void;
    /**
     * Attaches a MutationObserver to the parentElement and watches for when the container element is removed/readded to the DOM.
     * Should be used only when necessary as using many observers may lead to performance degradation.
     */
    observe(): void;
    private activate(index);
    private deactivate();
    private clearChildElements(originalContentHidden);
    private getHighlightedText(searchText, caseSensitive);
    private appendText(text);
    private appendSpan(outerHTML);
    private appendDiv();
    private searchNeedsEvaluation(text, caseSensitive);
}
export declare class IgxTextHighlightModule {
}
